/*
  jtag.h - JTAG declarations for the Micromint Eagle (Cortex-M3)
          by Micromint Support <support@micromint.com>    Aug-2008
*/

#ifndef _JTAG_H
#define _JTAG_H

#include "inc/hw_gpio.h"
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "driverlib/gpio.h"
#include "driverlib/interrupt.h"
#include "driverlib/sysctl.h"

/*
 Default debug mode is assumed to be SWD.
 Define OPT_DEBUG_JTAG when using JTAG mode for debug. PB7 will not be available
 */
//#define OPT_DEBUG_JTAG

/* API function declarations */

/* -------------------- JTAG functions -------------------- */
void JtagEnable(void);
void JtagDisable(void);
unsigned long isJtag(void);

#endif /* _JTAG_H */
