/*
 keypad.h - Keypad declarations for the Micromint Eagle 100(Cortex-M3)
                   by Micromint Support <support@micromint.com>    Aug-2008
*/

#ifndef _KEYPAD_H
#define _KEYPAD_H

#include "jtag.h"

/* Keypad declarations */
#define KEYPAD_GPIO_BASE        GPIO_PORTB_BASE
#define KEYPAD_INT_GPIO         INT_GPIOB
#define KEYPAD_SYSCTL_PERIPH    SYSCTL_PERIPH_GPIOB
#define KEYPAD_ROW_PINS         0xf0
#define KEYPAD_ROW_SHIFT        4
#define KEYPAD_COL_PINS         0x0f
#define KEYPAD_COL_SHIFT        0

/* API function declarations */

/* -------------------- Keypad functions -------------------- */
void KeypadInit(void);
void KeypadShut(void);
unsigned long KeypadRead(void);
void KeypadIntEnable(void);
void KeypadIntDisable(void);
void KeypadIntClear(void);

#endif /* _KEYPAD_H */
