--------------------------------------------------------------------------------
-- micromint_std.vhd : Standard VHDL declarations for Micromint Eagle 100
-- Micromint USA (407)333-4799 www.micromint.com
-- Micromint Support <support@micromint.com>
-- Version: 2009-01
--------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.ALL;
use ieee.std_logic_arith.ALL;
use ieee.std_logic_unsigned.ALL;

package micromint_std is
	-- Constants
	constant SPI_WIDTH : integer := 9; -- SPI frame width
	constant DATA_WIDTH : integer := 8; -- Data register width

	-- Components
	-- SPI Slave
	component spi_slave is
		port (
			clk, sel, mosi : in  std_logic;
			miso : out std_logic;
			reset : in std_logic;
			dataRX : out std_logic_vector(SPI_WIDTH-1 downto 0);
			dataTX : in std_logic_vector(SPI_WIDTH-1 downto 0)
			);
	end component spi_slave;
end package micromint_std;
